petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatDenseRestoreArray

returns access to the array where the data for a dense matrix is stored obtained by MatDenseGetArray()

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatDenseRestoreArray(Mat A,PetscScalar **array)

Logically Collective on Mat

### Input Parameters

| mat | - a MATSEQDENSE or MATMPIDENSE matrix
| array | - pointer to the data

### See Also

MatDenseGetArray(), MatDenseGetArrayRead(), MatDenseRestoreArrayRead()

### Level

intermediate

### Location

src/mat/impls/dense/seq/dense.c

### Implementations

MatDenseRestoreArray_MPIDense in src/mat/impls/dense/mpi/mpidense.c
MatDenseRestoreArray_SeqDenseCUDA in src/mat/impls/dense/seq/cuda/densecuda.cu
MatDenseRestoreArray_SeqDense in src/mat/impls/dense/seq/dense.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages